/* r=1/2 k=7 convolutional encoder polynomials */
#ifndef _VITERBI27_H_
#define _VITERBI27_H_ 1
#define	V27POLYA	0x6d
#define	V27POLYB	0x4f

void *create_viterbi27(int len);
int init_viterbi27(void *vp,int starting_state);
int update_viterbi27(void *vp,unsigned char sym1,unsigned char sym2);
int chainback_viterbi27(void *vp, unsigned char *data,unsigned int nbits,unsigned int endstate);
void delete_viterbi27(void *vp);
void emms_viterbi27(void);
void debug_viterbi27(void *p);
extern char id_viterbi27[];

#endif
